Delete a Webhook Subscription
DELETE
https://api.slidespeak.co/api/v1/webhook/unsubscribe
Removes an existing webhook subscription, stopping further notifications to your specified endpoint.
Use this endpoint to manage your integrations and ensure you only receive relevant updates. Requires
the webhook ID returned when the subscription was created.
Headers
Content-Type: string
application/json X-API-Key: string
The API key to use for the request.
<YOUR_API_KEY> Body Parameters
webhook_id: string
The ID of the webhook subscription to delete.
Code Examples
curl -X DELETE https://api.slidespeak.co/api/v1/webhook/unsubscribe -H "Content-Type: application/json" -H "X-API-Key: <YOUR_API_KEY>" -d '{ "webhook_id": "<WEBHOOK_ID>"}'fetch('https://api.slidespeak.co/api/v1/webhook/unsubscribe', { method: 'DELETE', headers: { 'Content-Type': 'application/json', 'X-API-Key': '<YOUR_API_KEY>', }, body: JSON.stringify({ webhook_id: '<WEBHOOK_ID>' }),}).then(response => response.json()).then(data => { console.log("Response:", data);}).catch(error => { console.error("Error:", error);});import requests
headers = { "Content-Type": "application/json", "X-API-Key": "<YOUR_API_KEY>"}
payload = { "webhook_id": "<WEBHOOK_ID>"}
response = requests.delete("https://api.slidespeak.co/api/v1/webhook/unsubscribe", headers=headers, json=payload)print(response.json())<?phprequire 'vendor/autoload.php';
use GuzzleHttp\Client;
$client = new Client();
$response = $client->delete('https://api.slidespeak.co/api/v1/webhook/unsubscribe', [ 'headers' => [ 'Content-Type' => 'application/json', 'X-API-Key' => 'YOUR_API_KEY' ], 'json' => [ 'webhook_id' => '<WEBHOOK_ID>' ]]);
$body = $response->getBody();$data = json_decode($body, true);
print_r($data);Response
{}